Starmade | Wireless connection isnt wireless when on same Entity except Asteroids
Closed, FinishedPublic

Description

The wireless blocks do connect to each other with a connection pipe
defeats part of there purpose and usefulness i think


on a ship - line

on a planet - line

on a asteroid - no line
On a station it also has a connection line

additionaly


You can link the blocks with the use of the Marker Beam (may need a few tries) and it wont have a visible link. (upper set)
because this is a workaround for the linkage being shown problem, reducing priority to low

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.625
Category
Logic Gates
First occurrence (version)
0.19228
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
SmilingDemon changed Category from none/unspecified to Logic Gates.
SmilingDemon changed Affected Gamemode(s) from none/unspecified to Single and Multi.
SmilingDemon set First occurrence (version) to 0.19228.
SmilingDemon changed Reproducible from uncertain to Yes.
SmilingDemon set Last tested (version) to 0.19228.
SmilingDemon edited a custom field.
SmilingDemon edited Serverconfig (server.cfg). (Show Details)
SmilingDemon edited Clientconfig (settings.cfg). (Show Details)
SmilingDemon added a subscriber: SmilingDemon.
Restricted Application added a project: Issue Navigation. · View Herald TranscriptJun 9 2015, 3:53 PM
SmilingDemon changed the task status from "Open" to "In Queue (Game)".
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptJun 9 2015, 3:54 PM
lancake moved this task from schema to Backlog / Unclassed on the Game Development board.

Have to change the priority for this.

The marker Beam is mostly useless for linking two wireless blocks on one entity because they overwrite the last input when used on the next set of blocks. The only way i found to prevent this is to relog to the game between linking blocks.

SmilingDemon changed the title from " Wireless connection isnt wireless when on same Entity except Asteroids " to "Wireless connection isnt wireless when on same Entity except Asteroids ".Jun 15 2015, 1:31 PM
SmilingDemon raised the priority of this task from "Low" to "High".
SmilingDemon set Task Type to Bug.
SmilingDemon set OS-Specific to No.
SmilingDemon set Hardware-Specific to No.
SmilingDemon set Video Card Vendor to uncertain.
SmilingDemon changed Last tested (version) from 0.19228 to 0.19266 (Dev).
schema added a subscriber: schema.Jul 22 2015, 1:03 AM

The wireless block should not be used as an alternative to the activation block as its method of sctivation is highly inefficient. I can make the pipe disappear, but wireless blocks still have a lot of overhead (because the potential information of having another UID + position)

Restricted Application added a subscriber: AndyP. · View Herald TranscriptJul 22 2015, 1:03 AM
schema changed the task status from "In Queue (Game)" to "Open".Jul 22 2015, 1:03 AM
Restricted Application edited projects, added Issue Navigation; removed Game Development. · View Herald TranscriptJul 22 2015, 1:03 AM
AndyP closed this task as "Rejected".Jul 22 2015, 11:55 AM
AndyP claimed this task.

Other type of link with much higher performance impact, so its not advised to use them, not even for "hiding" a few link-pipes

Restricted Application removed a project: Issue Navigation. · View Herald TranscriptJul 22 2015, 11:55 AM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
SmilingDemon reopened this task as "In Queue (Game)".Jul 22 2015, 6:22 PM

Putting back into Queue for the Following reason :

If this is a performance problem and not supposed to be used on the same Entity then:

  • the linking c-v of wireless links on the same entity should not be possible
  • the marker beams ability to link two wireless blocks to each other should be removed (its complicated and more or less useless anyway)

could it be that this causes further wireless problems with links getting lost for example ?

Restricted Application added a project: Game Development. · View Herald TranscriptJul 22 2015, 6:22 PM

The marker ability is is necessary when you want to connect two stations that are sectors apart. C-V probably won't work in that case

AndyP changed the task status from "In Queue (Game)" to "Open".Jul 22 2015, 7:59 PM

pulling this back, this needs some more investigation on link types as I heard from smiling about a possible problem related to reusable marker weapon and other stuff

Restricted Application edited projects, added Issue Navigation; removed Game Development. · View Herald TranscriptJul 22 2015, 7:59 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:37 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP changed the task status from "Open" to "In Queue (Game)".Aug 27 2015, 1:35 PM

-Confirmed-

Okay, gathered the details.

Its indeed as described:

  • you can create a single wireless link between two wireless modules on per entity per game start (-> restart the game and you can link another one)
  • those types of links stay active even on relog
  • on restarting the server: station links break, ship links stay (referring to those illegal in-entity links!)
  • they also persist and are transportable via blueprint on ships, but not on stations

They seem to be using some type of seed, per start, which causes issues, and may bloat meta, if someone manages to make thousands of wireless links inside one entity.
Links inside one entity should always use the "visible link" type, and thus avoid the expensive (and invisible) links through the wireless tables.
If there is a need for wires not being visible you can use a docked entity as some type of wireless router.

To reproduce:

  • spawn core
  • add two wireless modules
  • mark one (with marker beam!), enter in the other
  • link works
  • spawn station
  • add two wirless modules
  • mark one (with marker beam!), enter in the other
  • link works

Issue a) If you try to pair a second set on the same entity, the first link breaks, both wireless inputs will target the same new output, first output gets abandoned. (selecting any other entity or alike does not fix this problem)

  • restart the client (!!), server keeps running
  • add and link another pair of the wireless modules on each entity (they will both work)

Issue a) persists and breaks the new linked ones, the original ones are OK, and wont break again, unless issue b) kicks in:
Issue b) Fully restarting the game, will wipe all in-entity (wireless) links on the station

Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptAug 27 2015, 1:35 PM

Stupid question :
Why not simply disable the logic links outside of Build mode ?
And disable the ability to connect wireless blocks on the same entity with the marker beam ?

AndyP added a comment.Aug 27 2015, 5:09 PM

The marker weapon is meant to do those links?
It was rather surprising C and V in astronaut mode work flawless to link between entities ^^

So the main problem is:
Need to prevent the use of the expensive connection type when marked object and target are the same.
Should be the easiest way to prevent any inconsistence.
(I would also like to disable C-V link between entities so people have to learn using the marker beam, and do not gamble on linking warpgates anymore, as they are used to that mechanic then, but may be too far :P)

lancake changed Last tested (version) from 0.19266 (Dev) to 0.19439 (Dev).Sep 26 2015, 11:39 AM

If people are using wireless (expensive in game overhead) to get rid of logic pipes wouldn't the concept of eliminating the pipes except in build mode do the job best?

AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:15 PM
Restricted Application added a project: Logic. · View Herald TranscriptMar 10 2017, 5:15 PM
AndyP moved this task from Backlog / Unclassed to Beta on the Logic board.Mar 15 2017, 2:26 PM
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 28 2017, 11:55 AM
Restricted Application added a project: Quality Assurance. · View Herald TranscriptJun 28 2017, 11:55 AM
lancake added a subscriber: lancake.

-QA Testing-

Fix confirmed.

lancake changed the title from "Wireless connection isnt wireless when on same Entity except Asteroids " to "Wireless connection isnt wireless when on same Entity except Asteroids".Jun 29 2017, 5:42 PM
lancake changed Last tested (version) from 0.19439 (Dev) to 0.199.625.
lancake closed this task as "Closed".Jul 7 2017, 12:34 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM
dddggg added a subscriber: dddggg.Jul 19 2017, 3:18 PM

Now any other logic block connections with wireless module are invisible in both directions, not only wireless-wireless connections. Is it supposed to be like that?